
package com.example;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

// The Java class will be hosted at the URI path "/myresource"
@Path("/myresource")
public class MyResource {

    @GET
    @Produces(MediaType.TEXT_PLAIN)
    public String getLongText(@QueryParam("l") int length) {
        StringBuilder result = new StringBuilder();
        for (int i=0; i<length; i++) {
            result.append(".");
        }
        return result.toString();
    }

}
